<?php
/**
 * Created by PhpStorm.
 * User: eater
 * Date: 1/16/18
 * Time: 5:24 PM
 */

namespace BitCommunism\Http;


use DI\Container;

class Handler
{
    protected $container;

    public function __construct(Container $container)
    {
        $this->container = $container;
    }

    protected function get($name, $default = null) {
        if (!$this->container->has($name)) {
            return $default;
        }

        return $this->container->get($name);
    }
}